Error : CA Access Gateway (SPS) JRE libraries are missing or not compatible

book

Article ID: 224390

calendar_today

Updated On:

Products

SITEMINDER

Issue/Introduction

 

When running the installer for SPS 12.8SP4 upgrade, this one ends
unexpectedly returning the error :

    sh ca-proxy-12.8-sp04-linux-x86-64.bin
    
    Preparing to install
    Extracting the JRE from the installer archive...
    Unpacking the JRE...
    Extracting the installation resources from the installer archive...
    Configuring the installer for this system's environment...

    Launching installer...

    JRE libraries are missing or not compatible....
    Exiting....

 

Cause

 

The /tmp directory is mounted with option "noexec", which doesn't
allow execution of binaries :

mount command reports :

  
  tmpfs on /tmp type tmpfs (rw,nosuid,nodev,noexec,relatime)

 

Environment

 

CA Access Gateway (SPS) 12.8SP4 on RedHat 7;

 

Resolution

 

- Get in touch with your system administrator to mount the /tmp folder
  with the execution (exec) permission;